<ion-app>

  <ion-split-pane when="md" contentId="main" >

    <ion-menu contentId="main" menuId="first" side="start">
      <ion-header>
        <ion-toolbar color="primary">
          <ion-title>Menú</ion-title>
        </ion-toolbar>
      </ion-header>

      <ion-content>

        <ion-list>

          <ion-menu-toggle *ngFor="let c of componentes | async"
                           autoHide="false">
              <ion-item [routerLink]="c.redirectTo" class="ion-text-capitalize" detail>
                <!-- detail nos indica la posibilidad de abrir items anidados -->
                <ion-icon [name]="c.icon" slot="start" color="primary"></ion-icon>
                {{ c.name }}
            </ion-item>
          </ion-menu-toggle>


        </ion-list>
      </ion-content>
    </ion-menu>


    <ion-router-outlet id="main"></ion-router-outlet>

  </ion-split-pane>

</ion-app>
